Subject: Re: [bug#78589] [PATCH] gnu: Add [email-masked]

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 26 May 2025 19:56:37 +0900

Hello!

nomike <[email-masked]> writes:

> This adds a package for catch2 at version 3.8.1. As a lot of packages depend
> on catch2 v. 3.5.3 this version is left as the default. As this is likely to
> change in the future, version 3.8.1 is the base package and version 3.5.3
> inherits from it.
>
> * gnu/packages/check.scm
>   (catch2-3.8.1): New variable, renamed from catch2-3, updated to v. 3.8.1
>   (catch2-3): New variable, inherit from catch2-3.8.1
>
> Change-Id: If66aa68039137e32fc760d209fdaa1f34b04f39e
> ---
> I have previously raised #77772, but just updating catch2 to the new version
> would trigger way too many rebuilds. I thus file this new patch, which will
> update catch2 to 3.8.1, but under a new variable name. The old variable will
> be used for a derivative of the new package with the old version.
>
> This way no rebuild should be necessary and the new package can be slowly
> transitioned to.
>
> Maybe someone with more experience in guix can decide which one is the better
> way forward and can close the other ticket.

Personally, I like to crunch the results locally (rebuilding the
dependents to get a view of what breaks).  Otherwise a feature branch
would work well here.  I can register at to https://ci.guix.gnu to build
this series, and also send the request for merge issue to guix-patches
to have QA process it too.

Otherwise adding many variants is a bit like shoving snow forward
(amassing technical debt) and tends to make things messier down the
road.

My 2 cents :-).

-- 
Thanks,
Maxim